EDIT - bug #7183

Creating a new reference in bulk editor the focus is not set to the newly created entity
01/15/2018 02:52 PM - Katja Luther

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 40%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

Bulkeditor:

Beim Anlegen einer neuen Referenz springt der Focus nicht auf diese Referenz

Associated revisions

Revision db06a452 - 01/15/2018 02:52 PM - Katja Luther

fix #7183: set selection to newly created entity in bulk editor

Revision 74f1490e - 04/30/2018 11:49 AM - Katja Luther

fix #7183: after creating new object in bulk editor select it in editor

History

#1 - 01/15/2018 02:52 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|db06a452a7ece14f6f9dfb2246cca03dcadif3ed.

#2 - 02/16/2018 10:55 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

please review

#3 - 04/27/2018 03:10 PM - Andreas Miiller

- Subject changed from creating a new reference in bulk editor the focus is not set to the newly created entity to Creating a new reference in bulk
editor the focus is not set to the newly created entity

- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther
This more or less seems to work now though | do not remember how it was before.

The Details view and the supplemental data view are loaded correctly . Also the scrollbar moves.
However, the record is not yet blue (indicating the focus).

#4 - 04/30/2018 11:49 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|74f1490eabf75386834a6f471e79739e4ad8c917.

#5 - 04/30/2018 11:51 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

now the selected item is not blue, but with a grey box around it to indicate the selection. Maybe this is enough?
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/db06a452a7ece14f6f9dfb2246cca03dcad1f3e1
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/74f1490eabf75386834a6f471e79739e4ad8c917

#6 - 04/30/2018 06:44 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Katja Luther wrote:

now the selected item is not blue, but with a grey box around it to indicate the selection. Maybe this is enough?

Can't see any grey box yet.

#7 - 11/04/2021 10:04 AM - Katja Luther

- Status changed from Feedback to In Progress

Andreas Muller wrote:
Katja Luther wrote:

now the selected item is not blue, but with a grey box around it to indicate the selection. Maybe this is enough?

Can't see any grey box yet.

mmbh the selection is set for a really short time and disappears again, have to have a look on this again.

#8 - 11/04/2021 10:53 AM - Andreas Miiller
- Target version changed from Release 4.13 to Release 5.45

- % Done changed from 50 to 40

As this is back to "In Progress" | set it to current milestone.
